import 'package:flutter/material.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class CardDonation extends StatelessWidget {
  const CardDonation({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Container(
        height: 150,
        width: 128,
        decoration: const BoxDecoration(
          color: color5,
          borderRadius: BorderRadius.all(
            Radius.circular(12.0),
          ),
        ),
        child: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const SizedBox(height: 10),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceAround,
                children: [
                  Image.asset(
                    "assets/profile.png",
                    height: 40,
                  ),
                  const Text(
                    "5,5 €",
                    style: TextStyle(
                        color: color8,
                        fontSize: 16,
                        fontWeight: FontWeight.w600,
                        fontFamily: "Poppins"),
                  ),
                ],
              ),
              const SizedBox(height: 20),
              const Padding(
                padding: EdgeInsets.only(left: 18),
                child: Text(
                  "Ligue Contre le Cancer",
                  style: TextStyle(
                      color: color8,
                      fontSize: 12,
                      fontWeight: FontWeight.w400,
                      fontFamily: "Poppins"),
                ),
              ),
              const SizedBox(height: 10),
              Center(
                child: ElevatedButton(
                  onPressed: () {},
                  child: const Text(
                    'Selected',
                    style: TextStyle(
                        color: color3,
                        fontSize: 11,
                        fontWeight: FontWeight.w600,
                        fontFamily: "Poppins"),
                  ),
                  style: ElevatedButton.styleFrom(
                    minimumSize: Size.zero,
                    padding: EdgeInsets.zero,
                    primary: color8,
                    fixedSize: const Size(96, 25),
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(50),
                    ),
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
