import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class CardImpacts extends StatelessWidget {
  const CardImpacts({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.only(left: 15.0, bottom: 8),
      child: Container(
        height: 160,
        width: 128,
        decoration: const BoxDecoration(
          color: color1,
          borderRadius: BorderRadius.all(
            Radius.circular(12.0),
          ),
        ),
        child: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const SizedBox(height: 10),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceAround,
                children: [
                  SvgPicture.asset("assets/icons/white/coffe.svg",
                      height: 30, width: 30),
                  const Text("+100",
                      style: TextStyle(
                          color: color8,
                          fontSize: 17,
                          fontWeight: FontWeight.w600,
                          fontFamily: "Poppins")),
                ],
              ),
              const SizedBox(height: 10),
              const Padding(
                padding: EdgeInsets.only(left: 18),
                child: Text("Detournées de l’incinération",
                    style: TextStyle(
                        color: color3,
                        fontSize: 12,
                        fontWeight: FontWeight.w400,
                        fontFamily: "Poppins")),
              ),
              const SizedBox(height: 10),
              const Padding(
                padding: EdgeInsets.only(left: 18),
                child: Text("+22km",
                    style: TextStyle(
                        color: color3,
                        fontSize: 17,
                        fontWeight: FontWeight.w600,
                        fontFamily: "Poppins")),
              ),
              const SizedBox(height: 5),
              Center(
                child: ElevatedButton(
                  onPressed: () {},
                  child: const Text(
                    'View more',
                    style: TextStyle(
                        color: color8,
                        fontSize: 11,
                        fontWeight: FontWeight.w400,
                        fontFamily: "Poppins"),
                  ),
                  style: ElevatedButton.styleFrom(
                    primary: color3,
                    fixedSize: const Size(96, 20),
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(50),
                    ),
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
