import 'package:flutter/material.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class Challenge extends StatelessWidget {
  const Challenge({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: SizedBox(
        height: 300,
        child: Card(
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(15.0),
          ),
          color: color16,
          child: SizedBox(
            width: 176,
            height: 300,
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Container(
                  width: 176,
                  height: 104,
                  decoration: const BoxDecoration(
                    image: DecorationImage(
                      fit: BoxFit.fill,
                      image: AssetImage("assets/fundo.png"),
                    ),
                    borderRadius: BorderRadius.all(
                      Radius.circular(15.0),
                    ),
                  ),
                ),
                const SizedBox(height: 15),
                const Padding(
                  padding: EdgeInsets.all(8.0),
                  child: Text("Trier aussi dans la salle de bain!",
                      style: TextStyle(
                          color: color1,
                          fontSize: 13,
                          fontWeight: FontWeight.w600,
                          fontFamily: "Poppins")),
                ),
                SizedBox(
                  width: width * .9,
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Padding(
                        padding: const EdgeInsets.only(
                            left: 8.0, right: 8.0, top: 2.0),
                        child: RichText(
                          text: const TextSpan(children: <TextSpan>[
                            TextSpan(
                                text: "Plus que 3 flacons pour gagner ",
                                style: TextStyle(
                                    color: color15,
                                    fontSize: 12,
                                    fontWeight: FontWeight.w400,
                                    fontFamily: "Poppins")),
                            TextSpan(
                                text: "20% réduction",
                                style: TextStyle(
                                    color: color1,
                                    fontSize: 12,
                                    fontWeight: FontWeight.w600,
                                    fontFamily: "Poppins")),
                          ]),
                        ),
                      ),
                      const SizedBox(height: 10.0),
                    ],
                  ),
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceAround,
                  children: [
                    const Text("70%",
                        style: TextStyle(
                            color: color1,
                            fontSize: 12,
                            fontWeight: FontWeight.w600,
                            fontFamily: "Poppins")),
                    SizedBox(
                      width: 120,
                      height: 8,
                      child: ClipRRect(
                        borderRadius:
                            const BorderRadius.all(Radius.circular(10)),
                        child: LinearProgressIndicator(
                          valueColor:
                              const AlwaysStoppedAnimation<Color>(color1),
                          backgroundColor: color15.withOpacity(0.5),
                          value: 0.7,
                        ),
                      ),
                    )
                  ],
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
