import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class ChallengesCreated extends StatelessWidget {
  const ChallengesCreated({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: SizedBox(
        height: 230,
        child: Card(
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(15.0),
          ),
          color: color16,
          child: SizedBox(
            width: 176,
            height: 300,
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Container(
                  width: 176,
                  height: 104,
                  decoration: const BoxDecoration(
                    image: DecorationImage(
                      fit: BoxFit.fill,
                      image: AssetImage("assets/fundo.png"),
                    ),
                    borderRadius: BorderRadius.only(
                      topRight: Radius.circular(15.0),
                      topLeft: Radius.circular(15.0),
                    ),
                  ),
                  child: Padding(
                    padding:
                        const EdgeInsets.only(left: 8.0, right: 8.0, top: 12),
                    child: Align(
                      alignment: Alignment.topCenter,
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          SvgPicture.asset("assets/icons/green/challenges1.svg",
                              height: 23, width: 23),
                          SvgPicture.asset("assets/icons/green/challenges2.svg",
                              height: 23, width: 23),
                        ],
                      ),
                    ),
                  ),
                ),
                const SizedBox(height: 15),
                const Padding(
                  padding: EdgeInsets.all(8.0),
                  child: Text("Trier aussi dans la salle de bain!",
                      style: TextStyle(
                          color: color1,
                          fontSize: 13,
                          fontWeight: FontWeight.w600,
                          fontFamily: "Poppins")),
                ),
                SizedBox(
                  width: width * .9,
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Padding(
                        padding: const EdgeInsets.only(
                            left: 8.0, right: 8.0, top: 2.0),
                        child: RichText(
                          text: const TextSpan(
                            children: <TextSpan>[
                              TextSpan(
                                  text: "Saphora Rouen",
                                  style: TextStyle(
                                      color: color15,
                                      fontSize: 12,
                                      fontWeight: FontWeight.w400,
                                      fontFamily: "Poppins")),
                            ],
                          ),
                        ),
                      ),
                      const SizedBox(height: 10.0),
                    ],
                  ),
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceAround,
                  children: [
                    ElevatedButton(
                      onPressed: () {},
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.center,
                        children: [
                          SvgPicture.asset("assets/icons/white/up.svg",
                              height: 11, width: 11),
                          const SizedBox(width: 5.0),
                          const Text(
                            '-20%',
                            style: TextStyle(
                                color: color8,
                                fontSize: 13,
                                fontWeight: FontWeight.w600,
                                fontFamily: "Poppins"),
                          ),
                        ],
                      ),
                      style: ElevatedButton.styleFrom(
                        primary: color1,
                        fixedSize: const Size(85, 20),
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(50),
                        ),
                      ),
                    ),
                    Row(
                      children: [
                        const Text(
                          '10',
                          style: TextStyle(
                              color: color1,
                              fontSize: 17,
                              fontWeight: FontWeight.w600,
                              fontFamily: "Poppins"),
                        ),
                        const SizedBox(width: 5.0),
                        SvgPicture.asset("assets/icons/green/perfume.svg",
                            height: 20, width: 20),
                      ],
                    )
                  ],
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
