import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class ChallengesLike extends StatelessWidget {
  const ChallengesLike({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: SizedBox(
        height: 360,
        child: Card(
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(15.0),
          ),
          color: color16,
          child: SizedBox(
            width: 176,
            height: 345,
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Container(
                  width: width,
                  height: 200,
                  decoration: const BoxDecoration(
                    image: DecorationImage(
                      fit: BoxFit.fill,
                      image: AssetImage("assets/fundo.png"),
                    ),
                    borderRadius: BorderRadius.all(
                      Radius.circular(15.0),
                    ),
                  ),
                  child: Padding(
                    padding:
                        const EdgeInsets.only(left: 18.0, right: 8.0, top: 22),
                    child: Align(
                      alignment: Alignment.topCenter,
                      child: Row(
                        children: [
                          SvgPicture.asset("assets/icons/green/challenges1.svg",
                              height: 27, width: 27),
                          const SizedBox(width: 15),
                          SvgPicture.asset("assets/icons/green/challenges2.svg",
                              height: 27, width: 27),
                        ],
                      ),
                    ),
                  ),
                ),
                const SizedBox(height: 15),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                      child: Padding(
                        padding: const EdgeInsets.only(left: 12),
                        child: Row(
                          children: const [
                            Padding(
                              padding: EdgeInsets.only(left: 8.0),
                              child: Text("Trier aussi dans la salle de bain!",
                                  style: TextStyle(
                                      color: color8,
                                      fontSize: 13,
                                      fontWeight: FontWeight.w600,
                                      fontFamily: "Poppins")),
                            ),
                          ],
                        ),
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.only(right: 12),
                      child: Container(
                        child: Row(
                          children: [
                            SvgPicture.asset("assets/icons/green/view.svg",
                                height: 20, width: 20),
                            const Padding(
                              padding: EdgeInsets.all(8.0),
                              child: Text("124",
                                  style: TextStyle(
                                      color: color1,
                                      fontSize: 16,
                                      fontWeight: FontWeight.w600,
                                      fontFamily: "Poppins")),
                            ),
                          ],
                        ),
                      ),
                    ),
                  ],
                ),
                SizedBox(
                  width: width * .67,
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Padding(
                        padding: const EdgeInsets.only(top: 2.0, left: 20),
                        child: RichText(
                          text: const TextSpan(children: <TextSpan>[
                            TextSpan(
                                text: "Poins de collecte Rouen, à  ",
                                style: TextStyle(
                                    color: color15,
                                    fontSize: 12,
                                    fontWeight: FontWeight.w400,
                                    fontFamily: "Poppins")),
                            TextSpan(
                                text: "0,3 km",
                                style: TextStyle(
                                    color: color1,
                                    fontSize: 12,
                                    fontWeight: FontWeight.w400,
                                    fontFamily: "Poppins")),
                          ]),
                        ),
                      ),
                      const SizedBox(height: 10.0),
                    ],
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.only(left: 20.0, right: 20),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    children: [
                      ElevatedButton(
                        onPressed: () {},
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            SvgPicture.asset("assets/icons/white/up.svg",
                                height: 11, width: 11),
                            const SizedBox(width: 5.0),
                            const Text(
                              '-20%',
                              style: TextStyle(
                                  color: color8,
                                  fontSize: 13,
                                  fontWeight: FontWeight.w600,
                                  fontFamily: "Poppins"),
                            ),
                          ],
                        ),
                        style: ElevatedButton.styleFrom(
                          primary: color1,
                          fixedSize: const Size(85, 20),
                          shape: RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(50),
                          ),
                        ),
                      ),
                      Row(
                        children: [
                          const Text(
                            '10 flacons',
                            style: TextStyle(
                                color: color1,
                                fontSize: 16,
                                fontWeight: FontWeight.w600,
                                fontFamily: "Poppins"),
                          ),
                          const SizedBox(width: 5.0),
                          SvgPicture.asset("assets/icons/green/perfume.svg",
                              height: 20, width: 20),
                        ],
                      )
                    ],
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
