import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class Feed extends StatelessWidget {
  const Feed({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 10, right: 10),
      child: Padding(
        padding: const EdgeInsets.only(top: 15.0),
        child: SizedBox(
          height: 306,
          child: Container(
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(10),
              color: color16,
            ),
            child: Column(
              children: [
                Padding(
                  padding: const EdgeInsets.only(top: 15.0, left: 20),
                  child: Row(
                    children: [
                      Column(
                        children: [
                          Padding(
                            padding: const EdgeInsets.only(right: 10),
                            child: Container(
                              decoration: BoxDecoration(
                                border: Border.all(color: color1, width: 2),
                                borderRadius: const BorderRadius.all(
                                  Radius.circular(50),
                                ),
                              ),
                              child: Image.asset(
                                "assets/coffe.png",
                                height: 30,
                              ),
                            ),
                          ),
                        ],
                      ),
                      Column(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: const [
                          Text(
                            "Gabriel Martin Garcia",
                            style: TextStyle(
                                color: color8,
                                fontSize: 13,
                                fontWeight: FontWeight.w600,
                                fontFamily: "Poppins"),
                          ),
                          Text(
                            "@ggmartin",
                            style: TextStyle(
                                color: color6,
                                fontSize: 12,
                                fontWeight: FontWeight.w600,
                                fontFamily: "Poppins"),
                          ),
                        ],
                      ),
                    ],
                  ),
                ),
                const Padding(
                  padding: EdgeInsets.only(top: 10.0, left: 20),
                  child: Text(
                    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. consectetur adipiscing elit. Porta cursus pulvinar mi vitae suspendisse.",
                    maxLines: 2,
                    overflow: TextOverflow.ellipsis,
                    style: TextStyle(
                        color: color8,
                        fontSize: 12,
                        fontWeight: FontWeight.w400,
                        fontFamily: "Poppins"),
                  ),
                ),
                const SizedBox(height: 10.0),
                const Spacer(),
                SizedBox(
                  height: 198,
                  child: Container(
                    decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(10),
                      color: color1,
                    ),
                    child: Align(
                      alignment: FractionalOffset.bottomCenter,
                      child: Padding(
                        padding: const EdgeInsets.only(bottom: 10),
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: [
                            Row(
                              children: [
                                Padding(
                                  padding: const EdgeInsets.only(
                                      left: 15.0, right: 3.0),
                                  child: SvgPicture.asset(
                                      "assets/icons/green/like.svg",
                                      height: 20,
                                      width: 20),
                                ),
                                Padding(
                                  padding: const EdgeInsets.only(
                                      left: 15, right: 15),
                                  child: SvgPicture.asset(
                                      "assets/icons/green/coment.svg",
                                      height: 20,
                                      width: 20),
                                ),
                                Padding(
                                  padding: const EdgeInsets.all(3.0),
                                  child: SvgPicture.asset(
                                      "assets/icons/green/send.svg",
                                      height: 20,
                                      width: 20),
                                ),
                              ],
                            ),
                            Padding(
                              padding: const EdgeInsets.only(right: 15),
                              child: SvgPicture.asset(
                                  "assets/icons/green/save.svg",
                                  height: 20,
                                  width: 20),
                            ),
                          ],
                        ),
                      ),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
