import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class MapOffersCardOne extends StatelessWidget {
  const MapOffersCardOne({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return InkWell(
      onTap: () {
        showDialog(
          context: context,
          builder: (context) {
            return Dialog(
              backgroundColor: color3,
              shape: RoundedRectangleBorder(
                side: const BorderSide(color: color1),
                borderRadius: BorderRadius.circular(10),
              ),
              elevation: 16,
              child: ListView(
                shrinkWrap: true,
                children: <Widget>[
                  const SizedBox(height: 20),
                  Padding(
                    padding: const EdgeInsets.only(left: 13.0, right: 13.0),
                    child: Column(
                      children: [
                        Align(
                          alignment: Alignment.topRight,
                          child: InkWell(
                            onTap: () {
                              Navigator.of(context, rootNavigator: true)
                                  .pop('dialog');
                            },
                            child: SvgPicture.asset(
                              "assets/icons/green/x2.svg",
                            ),
                          ),
                        ),
                        const SizedBox(height: 10),
                        Row(
                          mainAxisAlignment: MainAxisAlignment.start,
                          children: [
                            Flexible(
                              child: Padding(
                                padding: const EdgeInsets.all(8.0),
                                child: RichText(
                                  text: const TextSpan(
                                    children: <TextSpan>[
                                      TextSpan(
                                        text: "Maintenant, ",
                                        style: TextStyle(
                                            color: color8,
                                            fontSize: 12,
                                            fontWeight: FontWeight.w400,
                                            fontFamily: "Poppins"),
                                      ),
                                      TextSpan(
                                        text:
                                            "déposez vos produits scannés dans un point de collete recup ",
                                        style: TextStyle(
                                            color: color1,
                                            fontSize: 12,
                                            fontWeight: FontWeight.w600,
                                            fontFamily: "Poppins"),
                                      ),
                                      TextSpan(
                                        text:
                                            "pour récuperer vos recoins et faire un don solidaire ! ",
                                        style: TextStyle(
                                            color: color8,
                                            fontSize: 12,
                                            fontWeight: FontWeight.w400,
                                            fontFamily: "Poppins"),
                                      ),
                                    ],
                                  ),
                                ),
                              ),
                            ),
                          ],
                        ),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.only(left: 20.0),
                    child: Row(
                      children: [
                        Container(
                          child: Row(
                            children: [
                              SvgPicture.asset("assets/icons/green/flag.svg",
                                  height: 20, width: 20),
                              const Padding(
                                padding: EdgeInsets.all(8.0),
                                child: Text(
                                  "Point de collecte le plus proche",
                                  style: TextStyle(
                                      color: color8,
                                      fontSize: 14,
                                      fontWeight: FontWeight.w600,
                                      fontFamily: "Poppins"),
                                ),
                              ),
                            ],
                          ),
                        ),
                      ],
                    ),
                  ),
                  Padding(
                    padding:
                        const EdgeInsets.only(left: 8.0, right: 8.0, top: 3.0),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.stretch,
                      children: [
                        Align(
                          child: SizedBox(
                            height: 265,
                            child: Card(
                              shape: RoundedRectangleBorder(
                                borderRadius: BorderRadius.circular(15.0),
                              ),
                              color: color16,
                              child: SizedBox(
                                width: 176,
                                height: 340,
                                child: Column(
                                  crossAxisAlignment: CrossAxisAlignment.start,
                                  children: <Widget>[
                                    Container(
                                      width: 176,
                                      height: 104,
                                      decoration: const BoxDecoration(
                                        image: DecorationImage(
                                          fit: BoxFit.fill,
                                          image:
                                              AssetImage("assets/fundo5.png"),
                                        ),
                                        borderRadius: BorderRadius.all(
                                          Radius.circular(15.0),
                                        ),
                                      ),
                                      child: Padding(
                                        padding: const EdgeInsets.only(
                                            left: 10, top: 15),
                                        child: Align(
                                          alignment: Alignment.topLeft,
                                          child: SvgPicture.asset(
                                              "assets/icons/green/categoria2.svg",
                                              height: 20,
                                              width: 20),
                                        ),
                                      ),
                                    ),
                                    const SizedBox(height: 15),
                                    Padding(
                                      padding: const EdgeInsets.all(8.0),
                                      child: RichText(
                                        text:
                                            const TextSpan(children: <TextSpan>[
                                          TextSpan(
                                              text: "Docks 76",
                                              style: TextStyle(
                                                  color: color1,
                                                  fontSize: 12,
                                                  fontWeight: FontWeight.w600,
                                                  fontFamily: "Poppins")),
                                        ]),
                                      ),
                                    ),
                                    SizedBox(
                                      width: width * .9,
                                      child: Column(
                                        crossAxisAlignment:
                                            CrossAxisAlignment.start,
                                        children: [
                                          Padding(
                                            padding: const EdgeInsets.only(
                                                left: 8.0,
                                                right: 8.0,
                                                top: 2.0),
                                            child: RichText(
                                              text: const TextSpan(
                                                  children: <TextSpan>[
                                                    TextSpan(
                                                        text:
                                                            "Centre commercial à Rouen Rive Droite",
                                                        style: TextStyle(
                                                            color: color15,
                                                            fontSize: 12,
                                                            fontWeight:
                                                                FontWeight.w400,
                                                            fontFamily:
                                                                "Poppins")),
                                                  ]),
                                            ),
                                          ),
                                          const SizedBox(height: 10.0),
                                        ],
                                      ),
                                    ),
                                    Row(
                                      mainAxisAlignment:
                                          MainAxisAlignment.spaceAround,
                                      children: [
                                        ElevatedButton(
                                          onPressed: () {},
                                          child: Row(
                                            mainAxisAlignment:
                                                MainAxisAlignment.center,
                                            children: [
                                              SvgPicture.asset(
                                                  "assets/icons/white/up.svg",
                                                  height: 11,
                                                  width: 11),
                                              const Text(
                                                ' 0,3 km',
                                                style: TextStyle(
                                                    color: color8,
                                                    fontSize: 13,
                                                    fontWeight: FontWeight.w600,
                                                    fontFamily: "Poppins"),
                                              ),
                                            ],
                                          ),
                                          style: ElevatedButton.styleFrom(
                                            primary: color1,
                                            fixedSize: const Size(95, 20),
                                            shape: RoundedRectangleBorder(
                                              borderRadius:
                                                  BorderRadius.circular(50),
                                            ),
                                          ),
                                        ),
                                        Row(
                                          children: [
                                            const Text(
                                              '4,5',
                                              style: TextStyle(
                                                  color: color1,
                                                  fontSize: 16,
                                                  fontWeight: FontWeight.w600,
                                                  fontFamily: "Poppins"),
                                            ),
                                            const SizedBox(width: 5.0),
                                            SvgPicture.asset(
                                                "assets/icons/green/star.svg",
                                                height: 18,
                                                width: 18),
                                          ],
                                        )
                                      ],
                                    ),
                                  ],
                                ),
                              ),
                            ),
                          ),
                        ),
                      ],
                    ),
                  ),
                  const SizedBox(height: 15),
                ],
              ),
            );
          },
        );
      },
      child: Padding(
        padding: const EdgeInsets.only(
          left: 8.0,
          right: 8.0,
          top: 8.0,
        ),
        child: SizedBox(
          height: 230,
          child: Card(
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(15.0),
              side: const BorderSide(color: color1, width: 2),
            ),
            color: color16,
            child: SizedBox(
              width: 176,
              height: 300,
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: <Widget>[
                  Container(
                    width: 176,
                    height: 104,
                    decoration: const BoxDecoration(
                      image: DecorationImage(
                        fit: BoxFit.fill,
                        image: AssetImage("assets/fundo5.png"),
                      ),
                      borderRadius: BorderRadius.all(
                        Radius.circular(15.0),
                      ),
                    ),
                    child: Padding(
                      padding: const EdgeInsets.only(left: 10, top: 15),
                      child: Align(
                        alignment: Alignment.topLeft,
                        child: SvgPicture.asset(
                            "assets/icons/green/categoria2.svg",
                            height: 20,
                            width: 20),
                      ),
                    ),
                  ),
                  const SizedBox(height: 15),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: RichText(
                      text: const TextSpan(children: <TextSpan>[
                        TextSpan(
                            text: "Docks 76 ",
                            style: TextStyle(
                              color: color1,
                              fontSize: 12,
                              fontWeight: FontWeight.w600,
                            ))
                      ]),
                    ),
                  ),
                  SizedBox(
                    width: width * .9,
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Padding(
                          padding: const EdgeInsets.only(
                              left: 8.0, right: 8.0, top: 2.0),
                          child: RichText(
                            text: const TextSpan(children: <TextSpan>[
                              TextSpan(
                                  text: "Centre commercial à Rouen Rive Droite",
                                  style: TextStyle(
                                      color: color15,
                                      fontSize: 12,
                                      fontWeight: FontWeight.w400,
                                      fontFamily: "Poppins")),
                            ]),
                          ),
                        ),
                        const SizedBox(height: 10.0),
                      ],
                    ),
                  ),
                  Row(
                    mainAxisAlignment: MainAxisAlignment.spaceAround,
                    children: [
                      ElevatedButton(
                        onPressed: () {},
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            SvgPicture.asset("assets/icons/white/up.svg",
                                height: 11, width: 11),
                            const Text(
                              ' 0,3 km',
                              style: TextStyle(
                                  color: color8,
                                  fontSize: 13,
                                  fontWeight: FontWeight.w600,
                                  fontFamily: "Poppins"),
                            ),
                          ],
                        ),
                        style: ElevatedButton.styleFrom(
                          primary: color1,
                          fixedSize: const Size(95, 20),
                          shape: RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(50),
                          ),
                        ),
                      ),
                      Row(
                        children: [
                          const Text(
                            '4,5',
                            style: TextStyle(
                                color: color1,
                                fontSize: 16,
                                fontWeight: FontWeight.w600,
                                fontFamily: "Poppins"),
                          ),
                          const SizedBox(width: 5.0),
                          SvgPicture.asset("assets/icons/green/star.svg",
                              height: 18, width: 18),
                        ],
                      )
                    ],
                  ),
                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
