import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class OffersCardOne extends StatelessWidget {
  const OffersCardOne({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.only(left: 8.0, right: 8.0, top: 8.0),
      child: SizedBox(
        height: 230,
        child: Card(
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(15.0),
          ),
          color: color16,
          child: SizedBox(
            width: 176,
            height: 300,
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Container(
                  width: 176,
                  height: 104,
                  decoration: const BoxDecoration(
                    image: DecorationImage(
                      fit: BoxFit.fill,
                      image: AssetImage("assets/fundo2.png"),
                    ),
                    borderRadius: BorderRadius.all(
                      Radius.circular(15.0),
                    ),
                  ),
                  child: Padding(
                    padding: const EdgeInsets.only(right: 10, top: 15),
                    child: Align(
                      alignment: Alignment.topRight,
                      child: SvgPicture.asset("assets/icons/green/like2.svg",
                          height: 20, width: 20),
                    ),
                  ),
                ),
                const SizedBox(height: 15),
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: RichText(
                    text: const TextSpan(children: <TextSpan>[
                      TextSpan(
                          text: "Bon d’achat ",
                          style: TextStyle(
                              color: color15,
                              fontSize: 12,
                              fontWeight: FontWeight.w600,
                              fontFamily: "Poppins")),
                      TextSpan(
                          text: "5 €",
                          style: TextStyle(
                              color: color1,
                              fontSize: 12,
                              fontWeight: FontWeight.w600,
                              fontFamily: "Poppins")),
                      TextSpan(
                          text: " sur toute le magasin",
                          style: TextStyle(
                              color: color8,
                              fontSize: 12,
                              fontWeight: FontWeight.w600,
                              fontFamily: "Poppins")),
                    ]),
                  ),
                ),
                SizedBox(
                  width: width * .9,
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Padding(
                        padding: const EdgeInsets.only(
                            left: 8.0, right: 8.0, top: 2.0),
                        child: RichText(
                          text: const TextSpan(children: <TextSpan>[
                            TextSpan(
                                text: "Galeries Lafayette Rouen",
                                style: TextStyle(
                                    color: color15,
                                    fontSize: 12,
                                    fontWeight: FontWeight.w400,
                                    fontFamily: "Poppins")),
                          ]),
                        ),
                      ),
                      const SizedBox(height: 10.0),
                    ],
                  ),
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceAround,
                  children: [
                    ElevatedButton(
                      onPressed: () {},
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.center,
                        children: [
                          SvgPicture.asset("assets/icons/white/up.svg",
                              height: 11, width: 11),
                          const SizedBox(width: 5.0),
                          const Text(
                            '5 €',
                            style: TextStyle(
                                color: color8,
                                fontSize: 13,
                                fontWeight: FontWeight.w600,
                                fontFamily: "Poppins"),
                          ),
                        ],
                      ),
                      style: ElevatedButton.styleFrom(
                        primary: color1,
                        fixedSize: const Size(75, 20),
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(50),
                        ),
                      ),
                    ),
                    Row(
                      children: [
                        const Text(
                          '100',
                          style: TextStyle(
                              color: color1,
                              fontSize: 16,
                              fontWeight: FontWeight.w600,
                              fontFamily: "Poppins"),
                        ),
                        const SizedBox(width: 5.0),
                        SvgPicture.asset("assets/icons/green/recoin2.svg",
                            height: 18, width: 18),
                      ],
                    )
                  ],
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
