import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class RewardsCard extends StatelessWidget {
  const RewardsCard({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: SizedBox(
        height: 330,
        child: Card(
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(15.0),
          ),
          color: color16,
          child: SizedBox(
            width: 176,
            height: 300,
            child: Column(
              children: <Widget>[
                Column(
                  children: [
                    Container(
                      width: width,
                      height: 180,
                      decoration: const BoxDecoration(
                        image: DecorationImage(
                          fit: BoxFit.fill,
                          image: AssetImage("assets/fundo2.png"),
                        ),
                        borderRadius: BorderRadius.all(
                          Radius.circular(15.0),
                        ),
                      ),
                      child: Padding(
                        padding: const EdgeInsets.only(right: 10, top: 20),
                        child: Align(
                            alignment: Alignment.topRight,
                            child: SizedBox(
                              width: 65,
                              child: Row(
                                children: [
                                  SvgPicture.asset(
                                      "assets/icons/green/love.svg",
                                      height: 20,
                                      width: 20),
                                  Padding(
                                    padding: const EdgeInsets.only(
                                        left: 8.0, right: 8),
                                    child: SvgPicture.asset(
                                        "assets/icons/green/arrow2.svg",
                                        height: 20,
                                        width: 20),
                                  ),
                                ],
                              ),
                            )),
                      ),
                    ),
                    const SizedBox(height: 15),
                    Padding(
                      padding: const EdgeInsets.only(left: 13, right: 13),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Container(
                            child: Row(
                              children: const [
                                Padding(
                                  padding: EdgeInsets.only(left: 8.0),
                                  child: Text(
                                    "Bon d’achat 5€ sur toute le magasin",
                                    style: TextStyle(
                                        color: color8,
                                        fontSize: 12,
                                        fontWeight: FontWeight.w600,
                                        fontFamily: "Poppins"),
                                  ),
                                ),
                              ],
                            ),
                          ),
                          Container(
                            child: Row(
                              children: [
                                const Padding(
                                  padding: EdgeInsets.all(8.0),
                                  child: Text("4,5",
                                      style: TextStyle(
                                          color: color1,
                                          fontSize: 16,
                                          fontWeight: FontWeight.w600,
                                          fontFamily: "Poppins")),
                                ),
                                SvgPicture.asset("assets/icons/green/star.svg",
                                    height: 20, width: 20),
                              ],
                            ),
                          ),
                        ],
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.only(left: 20),
                      child: Row(
                        children: [
                          RichText(
                            text: const TextSpan(children: <TextSpan>[
                              TextSpan(
                                  text: "Plus que 3 flacons pour gagner",
                                  style: TextStyle(
                                      color: color15,
                                      fontSize: 12,
                                      fontWeight: FontWeight.w400,
                                      fontFamily: "Poppins")),
                            ]),
                          ),
                        ],
                      ),
                    ),
                    const SizedBox(height: 10.0),
                    Padding(
                      padding: const EdgeInsets.only(left: 20, right: 20),
                      child: SizedBox(
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: [
                            Row(
                              mainAxisAlignment: MainAxisAlignment.spaceAround,
                              children: [
                                ElevatedButton(
                                  onPressed: () {},
                                  child: Row(
                                    mainAxisAlignment: MainAxisAlignment.center,
                                    children: [
                                      SvgPicture.asset(
                                          "assets/icons/white/up.svg",
                                          height: 11,
                                          width: 11),
                                      const SizedBox(width: 5.0),
                                      const Text(
                                        '-20%',
                                        style: TextStyle(
                                            color: color8,
                                            fontSize: 13,
                                            fontWeight: FontWeight.w600,
                                            fontFamily: "Poppins"),
                                      ),
                                    ],
                                  ),
                                  style: ElevatedButton.styleFrom(
                                    primary: color1,
                                    fixedSize: const Size(85, 20),
                                    shape: RoundedRectangleBorder(
                                      borderRadius: BorderRadius.circular(50),
                                    ),
                                  ),
                                ),
                              ],
                            ),
                            Column(
                              children: const [
                                Text("Expiration",
                                    style: TextStyle(
                                        color: color15,
                                        fontSize: 12,
                                        fontWeight: FontWeight.w400,
                                        fontFamily: "Poppins")),
                                Text("27/12/2022",
                                    style: TextStyle(
                                        color: color1,
                                        fontSize: 12,
                                        fontWeight: FontWeight.w400,
                                        fontFamily: "Poppins"))
                              ],
                            )
                          ],
                        ),
                      ),
                    ),
                  ],
                )
              ],
            ),
          ),
        ),
      ),
    );
  }
}
