import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class SocialLogin extends StatelessWidget {
  const SocialLogin({
    Key? key,
    required this.placeholder,
    required this.icon,
  }) : super(key: key);

  final String placeholder;
  final String icon;

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return GestureDetector(
      onTap: () {},
      child: Container(
          width: width * .89,
          height: 50,
          alignment: Alignment.center,
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(50),
            border: Border.all(
              color: color8, //
              width: 1.0,
            ),
          ),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Padding(
                padding: const EdgeInsets.all(8.0),
                child: SvgPicture.asset(icon,
                    height: 18, width: 18, fit: BoxFit.scaleDown),
              ),
              Text(
                placeholder,
                style: const TextStyle(
                  color: color8,
                  fontSize: 15,
                  fontWeight: FontWeight.w600,
                  fontFamily: "Poppins",
                ),
              ),
            ],
          )),
    );
  }
}
