import 'package:flutter/material.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class Storie extends StatelessWidget {
  const Storie({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Container(
        height: 160,
        width: 128,
        decoration: BoxDecoration(
          image: DecorationImage(
            image: const AssetImage(
              "assets/storie1.png",
            ),
            colorFilter: ColorFilter.mode(
              Colors.white.withOpacity(0.4),
              BlendMode.modulate,
            ),
            fit: BoxFit.cover,
          ),
          color: color4,
          borderRadius: const BorderRadius.all(
            Radius.circular(12.0),
          ),
        ),
        child: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const SizedBox(height: 10),
              Padding(
                padding: const EdgeInsets.only(left: 18, top: 8),
                child: Container(
                  decoration: BoxDecoration(
                    border: Border.all(color: color1, width: 2),
                    borderRadius: const BorderRadius.all(
                      Radius.circular(20),
                    ),
                  ),
                  child: Image.asset(
                    "assets/profile.png",
                    height: 30,
                  ),
                ),
              ),
              const SizedBox(height: 10),
              const Padding(
                padding: EdgeInsets.only(left: 18, top: 60),
                child: Text("Gabriel\nMartin Garcia",
                    style: TextStyle(
                        color: color8,
                        fontSize: 13,
                        fontWeight: FontWeight.w400,
                        fontFamily: "Poppins")),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
