import 'package:flutter/material.dart';

enum RecupAvatarSize {
  small(size: 30),
  medium(size: 40),
  large(size: 50);

  final double size;
  const RecupAvatarSize({required this.size});
}

class RecupAvatar extends StatelessWidget {
  final Color? color;
  final RecupAvatarSize? size;
  final String foto;
  final EdgeInsetsGeometry? padding;
  const RecupAvatar({
    Key? key,
    this.color,
    required this.foto,
    this.size = RecupAvatarSize.small,
    this.padding = const EdgeInsets.all(5),
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      width: size?.size,
      height: size?.size,
      decoration: BoxDecoration(
        color: color,
        borderRadius: BorderRadius.circular(50),
      ),
      child: Image.network(
        foto,
        width: 50,
        height: 50,
        cacheHeight: 50,
        cacheWidth: 50,
      ),
    );
  }
}
