import 'package:flutter/material.dart';

import 'package:recup_app_storybook/stories/data_display/avatar/avatar.dart';
import 'package:recup_app_storybook/stories/default_storie.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class RecupAvatarStories extends Story {
  RecupAvatarStories()
      : super(
          name: 'DataDisplay/RecupAvatar',
          builder: (context) {
            const photo =
                "https://images.unsplash.com/photo-1658459239113-39cc85f15154?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1374&q=80";
            return DefaultStory(
              body: SizedBox(
                width: double.infinity,
                height: double.infinity,
                child: Center(
                  child: RecupAvatar(
                    color: Colors.red,
                    foto: photo,
                    size: context.knobs.nullable.options(
                      label: 'Size',
                      initial: RecupAvatarSize.medium,
                      description: 'Tamanho do Avatar',
                      options: const [
                        Option(
                          label: 'Small',
                          value: RecupAvatarSize.small,
                          description: 'Blue color',
                        ),
                        Option(
                          label: 'Medium',
                          value: RecupAvatarSize.medium,
                          description: 'Green color',
                        ),
                        Option(
                          label: 'Large',
                          value: RecupAvatarSize.large,
                          description: 'Green color',
                        ),
                      ],
                    ),
                  ),
                ),
              ),
            );
          },
        );
}
