import 'package:flutter/material.dart';

class RecupColor {
  static const MaterialColor primary = MaterialColor(
    _primaryValue,
    {
      50: Color(0xE8F9EF),
      100: Color(0xC6F0D7),
      200: Color(0xA0E7BC),
      300: Color(0x79DDA1),
      400: Color(0x5DD58D),
      500: Color(0x40CE79),
      600: Color(0x3AC971),
      700: Color(0x32C266),
      800: Color(0x2ABC5C),
      900: Color(0x1CB049),
    },
  );

  static const int _primaryValue = 0x5DD58D;

  static const MaterialColor black = MaterialColor(
    _backValue,
    {
      50: Color(0xE5E5E5),
      100: Color(0xBEBEBE),
      200: Color(0x929292),
      300: Color(0x666666),
      400: Color(0x464646),
      500: Color(0x252525),
      600: Color(0x212121),
      700: Color(0x1B1B1B),
      800: Color(0x161616),
      900: Color(0x0D0D0D),
    },
  );

  static const int _backValue = 0x252525;
}

class RecupThemeDarkData {
  static final ThemeData themeData = ThemeData(
    useMaterial3: true,
    colorScheme: ColorScheme.fromSeed(
      seedColor: RecupColor.primary,
      brightness: Brightness.dark,
    ),
    primaryColor: RecupColor.primary,
    primaryTextTheme: Typography.material2021().black,
  );
}
